Работа MT5 на старых процессорах.

Тема в разделе "Metatrader 5", создана пользователем Ice, 18 окт 2009.

  1. Ice

    Ice New Member

    Как выяснилось, MetaTrader 5 отказывается работать на старых процессорах, которые не поддерживают инструкции SSE2. При этом, ясное дело, что ради одного терминала не стоит менять все компьютеры, с которых может осуществляться торговля. Как быть?
    Оказывается уже давно светлые головы разрабатывают программы - эмуляторы тех или иных инструкций процессоров и.т.д.
    Например:

    <b>Bochs 2.4</b>
    Кросс-платформенный эмулятор x86 PC. Bochs включает в себя эмуляцию процессоров x86, x86_64, устройств ввода-вывода и возможность использовать различные BIOS. Поддерживает эмуляцию MMX, SSE, SSE2, 3DNow!, SSE3, SSE4.

    Изменения:
    Добавлен графический дебаггер для большинства поддерживаемых платформ
    Множество улучшений в эмуляции CPU
    Эмуляция VMX
    1G страницы в long mode
    Добавлена поддержка OHCI
    Поддержка S3 (suspend to RAM)
    Добавлена поддержка пользовательских плагинов
    VGABIOS обновлён до версии 0.6c
    Bochs TESTFORM обновлён до версии 0.4

    <span class='inv'><![CDATA[<noindex>]]></span><a href="http://www.onix-trade.net/forum/go.php?http://depositfiles.com/files/a1nkqlvmq" rel="nofollow" target="_blank"><b>Скачать</b></a><span class='inv'><![CDATA[</noindex>]]></span>

    <b>Dosbox</b>
    Эмулятор DOS'а который работает в Linux, MacOS X, Windows Vista, FreeBSD и других. Dosbox'у не нужен ни сам DOS, ни платформа x86: он способен работать на платформах как x86, так и на ARM, x86_64, IA64, Alpha, Sparc, PowerPC м других. Лицензия: GPLv2

    Добавлена эмуляция OPL2 и OPL3, EGA, VESA, видео BIOS'a и IRQ 2
    Добавлены особые режимы для видеокарт S3, Tseng и Paradise
    Исправлена эмуляция 16-ти цветного режима
    Исправлены ошибки mscdex, в реализации EMS/XMS и в эмуляции SoundBlaster

    <span class='inv'><![CDATA[<noindex>]]></span><a href="http://www.onix-trade.net/forum/go.php?http://depositfiles.com/files/snzsm0611" rel="nofollow" target="_blank"><b>Скачать</b></a><span class='inv'><![CDATA[</noindex>]]></span>

    <b>JPC</b>
    Полноценный самодостаточный эмулятор платформы x86, написанный на чистой Java. Двухуровневая модель безопасности и полное отсутствие платформо-зависимых компонент позволяют изолированно выполнять х86-приложения на любых платформах, в том числе в браузере или на мобильном телефоне. На сайте проекта можно оценить возможности java-эмулятора на примере Damn Small Linux и игры Doom.
    <span class='inv'><![CDATA[<noindex>]]></span><a href="http://www.onix-trade.net/forum/go.php?http://www-jpc.physics.ox.ac.uk/download_download.html" rel="nofollow" target="_blank"><b>Сайт производителя</b></a><span class='inv'><![CDATA[</noindex>]]></span>
    <span class='inv'><![CDATA[<noindex>]]></span><a href="http://www.onix-trade.net/forum/go.php?http://depositfiles.com/files/mdnuun4m6" rel="nofollow" target="_blank"><b>Скачать</b></a><span class='inv'><![CDATA[</noindex>]]></span>
     
    1 человеку нравится это.
  2. Ice

    Ice New Member

    Установил Bochs 2.4, установка MT5 не запустилась на старом процессоре.

    Скрин с работающей программой Bochs 2.4. Если у кого - то есть мысли по теме - высказывайте. Может есть более подходящие программы?

    123.jpg
     
  3. DVDima

    DVDima indifférent Команда форума

    может попробовать не инсталлятор а сам мт5 запустить?
     
  4. Ice

    Ice New Member

    Интересная мысль... Кто установил МТ5, выложите пожалуйста распакованный МТ в ветку. Поручик, по - моему ставил...
     
  5. поручик

    поручик настоящий полковник

    Только в архиве загрузился
     

    Вложения:

    • mt5setup.rar
      Размер файла:
      15,1 МБ
      Просмотров:
      114
  6. Ice

    Ice New Member

    Нет, Стас, я имел ввиду уже установленный МТ5. У меня на старом компе даже ставится не хочет. Заархивируй плиз установленный уже МТ5, т.е. прям из папки Program Files.
     
  7. поручик

    поручик настоящий полковник

    ну держи
     

    Вложения:

  8. Ice

    Ice New Member

    Скачал, не работает. Самое забавное, что данный набор команд SSE2 был заложен в Пентиумы и Селероны ещё 10 лет назад, а вот AMD не спешила с введением в работу этого набора команд. Поэтому на старых процессорах компании Intel - MT5 будет идти а на старых процессорах AMD - нет.

    Вот официальный комментарий представителя MetaQuotes:

     
  9. kshadu

    kshadu незнайка

    думаю для многих будет актуальным вопрос о работоспособности пятерки на нетбуках с типичным для них процессором Intel Atom N270 1.6ггц ... кто-нибудь пробовал уже?
     
  10. Ice

    Ice New Member

    CPUs supporting SSE2:

    AMD K8-based CPUs (Athlon 64, Sempron 64, Turion 64, etc)
    AMD Phenom CPUs
    Intel NetBurst-based CPUs (Pentium 4, Xeon, Celeron, Celeron D, etc)
    Intel Pentium M and Celeron M
    Intel Core-based CPUs (Core Duo, Core Solo, etc)
    Intel Core 2-based CPUs (Core 2 Duo, Core 2 Quad, etc)
    Intel Core i7
    Intel Atom
    Transmeta Efficeon
    VIA C7
    VIA Nano
     
  11. Mutter

    Mutter New Member

    Чего бы не пошел, железо современное относительно, а мт5 не мега программа, пожирающая ресурсы
     
  12. Baffet13

    Baffet13 Member

    Не понимаю разницы запуска на старом железе и новом, толком то ничего не изменится, из-за того что сама прога не сильно много кушает.
     
  13. Akashi

    Akashi Member

    Ну как это? если торговать с советниками на определенном сервере, то компьютер будет хавать много мощности, и если комп ведро, то торговля будет с delay
     

Поделиться этой страницей